#!/bin/bash
pwd=$(pwd)

git clone https://github.com/Dyrborg/SIFTA.git

siftapath=${pwd}/SIFTA/sifta
darepath=${pwd}/dare-1.1.0-linux

#setup dare
if [ -d "dare-1.1.0-linux" ]; then
	rm -rdf dare-1.1.0-linux
fi
tar -xzf dare-1.1.0-linux.tgz 
cd dare-1.1.0-linux
./dex-preopt --bootstrap
cd ..

#change paths
cd SIFTA
./setupSiftaPath.sh
cd ..

echo "setup done"
echo "run sifta with: time ${siftapath}/scripts/run-sifta.sh some-output-dir ./*.apk"
echo "change to some-output-dir"
echo "query graph with: time python ${siftapath}/scripts/graph-queryer.py"
